Get a paginated list of XMPP domains.
URL: /api/1.0/xmppdomains
| Parameters | Required | Purpose |
|---|---|---|
| format | optional | specify the format of the response, defaults to JSON |
| limit | optional | the maximum number of XMPP domains to return |
| offset | optional | the starting point for the query (not implemented) |
| Response | |
|---|---|
| HTTP Code | 200 |
| Content-type | application/json |
| Body | (see example below) |
GET /api/1.0/xmppdomains:
curl https://manager.chatmongers.com/api/1.0/xmppdomains?format=json&limit=5
{
"meta": {
"limit": 2,
"next": "/api/1.0/xmppdomains?limit=2&offset=2",
"offset": 0,
"previous": null,
"totalCount": 20
},
"objects": [
{
"authPop3AppendDomain": "",
"authPop3CacheTtl": 120,
"authPop3Host": "",
"authPop3Port": 110,
"authPop3UseSsl": false,
"authRestCacheTtl": 120,
"authRestMethod": "POST",
"authRestSecret": "",
"authRestUrl": "",
"authenticationMethod": "default",
"displayName": "example2.chatwith.it",
"fqdn": "example2.chatwith.it",
"isEnabled": true,
"isRunning": false,
"organizationName": null,
"resourceUri": "/api/1.0/xmppdomains/example2.chatwith.it?format=json",
"userCount": 8,
"userlistUri": "/api/1.0/xmppdomains/example2.chatwith.it/users?format=json"
},
{
"authPop3AppendDomain": "",
"authPop3CacheTtl": 120,
"authPop3Host": "",
"authPop3Port": 110,
"authPop3UseSsl": false,
"authRestCacheTtl": 120,
"authRestMethod": "POST",
"authRestSecret": "",
"authRestUrl": "",
"authenticationMethod": "default",
"displayName": "example2.chatwith.it",
"fqdn": "example2.chatwith.it",
"isEnabled": true,
"isRunning": false,
"organizationName": null,
"resourceUri": "/api/1.0/xmppdomains/example2.chatwith.it?format=json",
"userCount": 0,
"userlistUri": "/api/1.0/xmppdomains/example2.chatwith.it/users?format=json"
}
]
}